%global __brp_check_rpaths %{nil}
%global packname  ALUES
%global packver   0.2.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.1
Release:          1%{?dist}%{?buildtag}
Summary:          Agricultural Land Use Evaluation System

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildRequires:    R-CRAN-Rcpp >= 0.10.6
Requires:         R-CRAN-Rcpp >= 0.10.6

%description
Evaluates land suitability for different crops production. The package is
based on the Food and Agriculture Organization (FAO) and the International
Rice Research Institute (IRRI) methodology for land evaluation.
Development of ALUES is inspired by similar tool for land evaluation, Land
Use Suitability Evaluation Tool (LUSET). The package uses fuzzy logic
approach to evaluate land suitability of a particular area based on inputs
such as rainfall, temperature, topography, and soil properties. The
membership functions used for fuzzy modeling are the following:
Triangular, Trapezoidal and Gaussian. The methods for computing the
overall suitability of a particular area are also included, and these are
the Minimum, Maximum and Average. Finally, ALUES is a highly optimized
library with core algorithms written in C++.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
